<?php

class bCommande_export extends BackModule {

    function update_commentaire($formvars = array()) {

        $sql = "UPDATE commande SET commande_livraison_info = \"" . $this->sql->db->real_escape_string($_REQUEST['value']) . "\", commande_date_modif = NOW() WHERE commande_id = '" . $this->sql->db->real_escape_string($_REQUEST['pk']) . "'";
        $this->sql->query($sql);
    }

    // remonter des emails
    function statut() {

        $idStatut = $_POST['commande_statut_id'];
        $idCommande = $_POST['commande_id'];

        $tags = array();
        $tags['motif'] = @$_POST['commande_motif'];
        $tags['colis'] = @$_POST['commande_colis'];

        $commande = new Commande;
        list($sujet, $txt, $html) = $commande->getMail($idCommande, $idStatut, $tags);
        echo $sujet . '<br/><hr/><br/>' . $html;
    }

    // Remonter des options de statut
    function statut_option($formvars = array()) {

        $commande = new Commande; // utile pour les constantes

        echo '<br/><u><strong>Motif compl&eacute;mentaire : </strong></u><br/>';

        $statut = new Statut;
        $arrOpts = $statut->getOption(array('commande_id' => $_POST['commande_id'], 'commande_statut_id' => $_POST['commande_statut_id']));
        if (!empty($arrOpts)) {

            echo "<script>";
            echo( "var tableauFromPHP = new Array();\n" );
            for ($i = 0; $i < count($arrOpts); $i++) {
                $j = $arrOpts[$i]['commande_statut_option_id'];
                $arrOpts[$i]['commande_statut_option_nom_email'] = addslashes($arrOpts[$i]['commande_statut_option_nom_email']);
                $arrOpts[$i]['commande_statut_option_nom_email'] = str_replace(chr(10), "\\r", $arrOpts[$i]['commande_statut_option_nom_email']);
                $arrOpts[$i]['commande_statut_option_nom_email'] = str_replace(chr(13), "\\n", $arrOpts[$i]['commande_statut_option_nom_email']);
                echo( "tableauFromPHP[$j] = '{$arrOpts[$i]['commande_statut_option_nom_email']}';\n" );
            }
            echo "</script>";


            foreach ($arrOpts as $tmp) {
                echo '<p>';
                echo '<input class="commande" onclick="change_motif(tableauFromPHP, \'' . $tmp['commande_statut_option_id'] . '\');change_statut(\'no_update\');" type="radio" name="commande_statut_option_id" id="commande_statut_option_id_' . $tmp['commande_statut_option_id'] . '" value="' . $tmp['commande_statut_option_id'] . '">';
                echo '<label class="commande" for="commande_statut_option_id_' . $tmp['commande_statut_option_id'] . '">';
                echo $tmp['commande_statut_option_nom_nom'];
                echo '</label>';
                echo '</p>';
            }
        }

        echo '<textarea onkeyup="change_statut(\'no_update\')" class="form-control" rows="3" cols="10" name="commande_motif" id="commande_motif" ></textarea><br/>';

        echo '<br/><u><strong>Document(s) joint(s) : </strong></u><br/>';
        echo '<div class="checkbox"><label><input type="checkbox" name="commande_bc" id="commande_bc" value="true" /> Joindre le bon de commande en PDF</label></div>';
        if ($_POST['commande_statut_id'] == Commande::STATUT_EXPEDIE) {
            echo '<div class="checkbox"><label><input type="checkbox" name="commande_fc" id="commande_fc" value="true" checked="checked" /> Joindre la facture en PDF</label></div>';
            echo '<br/><u><strong>Num&eacute;ro de colis : </strong></u><br/>';
            echo '<input onkeyup="change_statut(\'no_update\')" class="form-control" name="commande_colis" id="commande_colis" />';
        }
    }

    function details($formvars = array()){

        $commande = new Commande($formvars['id']);
        $arrP = $commande->getProduit();
        $arrStat = $commande->getHistory(array('commande_id' => $commande->commande_id));

        echo '<section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class="fa fa-globe"></i> Commande #' . $commande->commande_id . ' <span class="label label-primary">'.$commande->commande_statut_nom_nom.'</span>
            <small class="pull-right">
                Date: '.$commande->commande_date.'
            </small>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
          Facturation
          <address>
            <address>
            <strong>'.$commande->facturation_prenom . ' ' . $commande->facturation_nom.'</strong><br>
            ' . $commande->facturation_rue . '<br>
            ' . $commande->facturation_rue2 . '<br>
            ' . $commande->facturation_cp . ' ' . $commande->facturation_ville . '<br>
            ' . $commande->facturation_pays . '<br>
            Tel: ' . $commande->facturation_telephone . '
          </address>
          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          Livraison
          <address>
            <strong>'.$commande->livraison_prenom . ' ' . $commande->livraison_nom.'</strong><br>
            ' . $commande->livraison_rue . '<br>
            ' . $commande->livraison_rue2 . '<br>
            ' . $commande->livraison_cp . ' ' . $commande->livraison_ville . '<br>
            ' . $commande->livraison_pays . '<br>
            Tel: ' . $commande->livraison_telephone . '
          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          Email: ' . $commande->client_email . '<br>
          <br>
          <b>Facture:</b> #'.$commande->commande_facture_numero.'<br>
          <b>Date:</b> '.$commande->commande_facture_date.'<br>
          <br>
          
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      <!-- Table row -->
      <div class="row">
        <div class="col-xs-12 table-responsive">
          <table class="table table-striped">
            <thead>
            <tr>
              <th>Qty</th>
              <th>Ref.</th>
              <th>Produit</th>
              <th>Prix U.</th>
              <th>Total</th>
            </tr>
            </thead>
            <tbody>';

        foreach ($arrP as $arrProduit) {
            echo '<tr>
              <td>' . $arrProduit['qte'] . '</td>
              <td>' . $arrProduit['produit_ref'] . '</td>
              <td>' . $arrProduit['produit_nom'];
            if (!empty($arrProduit['produit_option_valeur_nom'])){
                echo ' ('.$arrProduit['produit_option_valeur_nom'] .')';
            }
            echo ' </td>
              <td>' . $arrProduit['prix_ht'] . ' EUR</td>
              <td>' . $arrProduit['prix_total_ht'] . ' EUR</td>
            </tr>';
        }
         echo'
            </tbody>
          </table>
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      <div class="row">
        <!-- accepted payments column -->
        <div class="col-xs-6">
          <p class="lead">Moyen de paiement:</p>
          '.$commande->paiement_nom_nom.'
          
          <p class="lead">Mode de livraison:</p>
          '.$commande->commande_livraison_nom .'('.$commande->commande_livraison_code.')
          

          ';

        if (!empty($commande->commande_commentaire)) {
            echo '<p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">
            ' . $commande->commande_commentaire . '
          </p>';
        }
        echo'</div>
        <!-- /.col -->
        <div class="col-xs-6">

          <div class="table-responsive">
            <table class="table">
              <tbody><tr>
                <th style="width:50%">Sous total HT:</th>
                <td>' . round($commande->stotal_ht, 2) . ' EUR</td>
              </tr>
              <tr>
                <th>Livraison HT:</th>
                <td>' . round($commande->commande_port_ht, 2) . ' EUR</td>
              </tr>
              <tr>
                <th>Total HT </th>
                <td>' . round($commande->total_ht, 2) . ' EUR</td>
              </tr>
              <tr>
                <th>Total TTC </th>
                <td>' . round($commande->total_ttc, 2) . ' EUR</td>
              </tr>
              <tr>
                <th>Dont TVA:</th>
                <td>' . round($commande->commande_total_taxe, 2) . ' EUR</td>
              </tr>
            </tbody></table>
          </div>
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      
    </section>';
    }

    function details_old($formvars = array()) {

        // recup info commande
        $commande = new Commande($formvars['id']);

        $arrP = $commande->getProduit();

        $arrStat = $commande->getHistory(array('commande_id' => $commande->commande_id));

        echo '<table class="records popup-details">
            <tr>
                <th height="15" colspan="4">COMMANDE n&deg;' . $commande->commande_id . '</th>
            </tr>
    <tr class="unselect_enr1">
        <td><b>Date commande</b></td>
        <td>' . $commande->commande_date . '</td>
        <td><b>Client</b></td>
        <td>' . $commande->client_prenom . ' ' . $commande->client_nom . '(#' . $commande->client_id . ')<br/><a href="mailto:'.$commande->client_email.'">'.$commande->client_email.'</a></td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Statut</b></td>
        <td>' . $commande->commande_statut_nom_nom . '</td>
        <td><b>Mode de paiement</b></td>
        <td>' . $commande->paiement_nom . '</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>N° Facture</b></td>
        <td>' . $commande->commande_facture_numero . '</td>
        <td><b>Date Facture</b></td>
        <td>' . $commande->commande_facture_date . '</td>
    </tr>
    </table>
    <table class="records popup-details">
    <tr>
        <th height="15" colspan="4">LIVRAISON</th>
    </tr>
    <tr class="unselect_enr1">
        <td><b>Mode</b></td>
        <td>' . $commande->commande_livraison_nom . '</td>
        <td><b>D&eacute;lai</b></td>
        <td>' . $commande->commande_livraison_delai . ' jours</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Suivi</b></td>
        <td>' . $commande->commande_livraison_colis . '</td>
        <td><b>Info</b></td>
        <td>' . $commande->commande_livraison_info . '</td>
    </tr>
    </table>
    <table class="records popup-details">
     <tr>
        <th height="15" colspan="2">ADRESSE LIVRAISON</th>
        <th height="15" colspan="2">ADRESSE FACTURATION</th>
    </tr>
    <tr class="unselect_enr1">
        <td><b>Société</b></td>
        <td>' . $commande->livraison_societe . '</td>
        <td><b>Société</b></td>
        <td>' . $commande->facturation_societe . '</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Nom</b></td>
        <td>' . $commande->livraison_prenom . ' ' . $commande->livraison_nom . '</td>
        <td><b>Nom</b></td>
        <td>' . $commande->facturation_prenom . ' ' .$commande->facturation_nom . '</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Rue</b></td>
        <td>' . $commande->livraison_rue . '</td>
        <td><b>Rue</b></td>
        <td>' . $commande->facturation_rue . '</td>
    </tr>
    <tr class="unselect_enr1">
        <td><b>Rue2</b></td>
        <td>' . $commande->livraison_rue2 . '</td>
        <td><b>Rue2</b></td>
        <td>' . $commande->facturation_rue2 . '</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Code Postal</b></td>
        <td>' . $commande->livraison_cp . '</td>
        <td><b>Code Postal</b></td>
        <td>' . $commande->facturation_cp . '</td>
    </tr>
    <tr class="unselect_enr1">
        <td><b>Ville</b></td>
        <td>' . $commande->livraison_ville . '</td>
        <td><b>Ville</b></td>
        <td>' . $commande->facturation_ville . '</td>
    </tr>
    <tr class="unselect_enr0">
        <td><b>Pays</b></td>
        <td>' . $commande->livraison_pays . '</td>
        <td><b>Pays</b></td>
        <td>' . $commande->facturation_pays . '</td>
    </tr>
    <tr class="unselect_enr1">
        <td><b>T&eacute;l&eacute;phone</b></td>
        <td>' . $commande->livraison_telephone . '</td>
        <td><b>T&eacute;l&eacute;phone</b></td>
        <td>' . $commande->facturation_telephone . '</td>
    </tr>
</table>
<table class="records popup-details">
        <tr>
            <th height="15" colspan="8">
                RECAPITULATIF DES PRODUITS COMMANDES
            </th>
        </tr>
        <tr>
            <th height="15">ID</th>
            <th height="15">REF</th>
            <th height="15">REF FRS</th>
            <th height="15">NOM</th>
            <th height="15">QTE</th>
            <th height="15">PRIX UNITAIRE HT</th>
            <th height="15">PRIX HT</th>
        </tr>';

        foreach ($arrP as $arrProduit) {
            echo'
                <tr class="unselect_enr0" align="center">
                    <td>' . $arrProduit['produit_id'] . '</td>
                    <td>' . $arrProduit['produit_ref'] . '</td>
                    <td>' . $arrProduit['produit_ref_frs'] . '</td>
                    <td>' . $arrProduit['produit_nom'];
                  if (!empty($arrProduit['produit_option_valeur_nom'])){
                  	echo ' ('.$arrProduit['produit_option_valeur_nom'] .')';
                  }
                echo'</td>
                    <td>' . $arrProduit['qte'] . '</td>
                    <td>' . $arrProduit['prix_ht'] . ' EUR</td>
                    <td>' . $arrProduit['prix_total_ht'] . ' EUR</td>
                </tr>';
        }
        echo '<tr>
                    <td colspan="6">Sous-total HT</td>
                    <td>' . round($commande->stotal_ht, 2) . ' EUR</td>
                 </tr>
                 <tr>
                    <td colspan="6">Frais de Port HT</td>
                    <td>' . round($commande->commande_port_ht, 2) . ' EUR</td>
                 </tr>
                 <tr>
                    <td colspan="6">Total HT</td>
                    <td>' . round($commande->total_ht, 2) . ' EUR</td>
                 </tr>
                 <tr>
                    <td colspan="6">Total TTC</td>
                    <td>' . round($commande->total_ttc, 2) . ' EUR</td>
                 </tr>
                 <tr>
                    <td colspan="6">Reste à payer</td>
                    <td>' . round($commande->montant_a_paye, 2) . ' EUR</td>
                 </tr>
                 <tr>
                    <td colspan="6">Dont T.V.A</td>
                    <td>' . round($commande->commande_total_taxe, 2) . ' EUR</td>
                </tr>';
        echo'</table>';

        echo'
<table class="records popup-details">
    <tr>
        <th height="15" colspan="2">HISTORIQUE DE LA COMMANDE</th>
    </tr>
    <tr>
        <th height="15">DATE</th>
        <th height="15">STATUT</th>
    </tr>
';

        foreach ($arrStat as $arrStatut) {
            echo'<tr class="unselect_enr0" align="center">
            <td>' . date('d/m/Y H:i:s', strtotime($arrStatut['commande_statut_historique_date_ajout'])) . '</td>
            <td>' . $arrStatut['commande_statut_nom_nom'] . '</td>
        </tr>';
            
        }echo'</table>';
    }
	
	function export_comptable($formvars=array()) {
		
		
		ini_set('max_execution_time', '3600');
        ini_set('memory_limit', '1G');
		$commande = new Commande();
		
		$option = array();
		$option['withFacture'] = 1;
		$option['list_commande_statut_id'] = Commande::STATUT_EXPEDIE;

		if(!empty($formvars['c*commande_facture_date'])){
			
			
			$option['facture_date_debut'] = $formvars['c*commande_facture_date'][0];
			
			$option['facture_date_fin'] = $formvars['c*commande_facture_date'][1]; 
		}
		
		error_log(print_r($option,true));
		
		$arrCommande = $commande->get($option);
		
		
		$arrCommande2 = array();
		$filename = "export_comptable_".time().".txt";
		$dirname = SITE_DIR."export/comptable_commande/";
		$fh = fopen($dirname.$filename, "w");
		foreach($arrCommande as $commande) {
			$compte="707200";
			$libelle="Ventes accessoires 19,6%";
			$sql = "SELECT client_nom FROM client WHERE client_id = '".$commande['client_id']."'";
			$this->sql->query($sql,SQL_INIT,SQL_ASSOC);
			$commande['client_nom'] = $this->sql->record['client_nom'];
			if ($commande['paiement_id']=='1'){$commande['paiement_nom']="CB";}
			if ($commande['paiement_id']=='2'){$commande['paiement_nom']="CH";}
			if ($commande['paiement_id']=='5'){$commande['paiement_nom']="TE";}
			if ($commande['paiement_id']=='6'){$commande['paiement_nom']="VIR";}
			if ($commande['paiement_id']=='7'){$commande['paiement_nom']="PP";}
			if ($commande['paiement_id']=='6'){$commande['paiement_nom']="KW";}
			if ($commande['paiement_id']=='8'){$commande['paiement_nom']="KW";}
			if ($commande['facturation_pays'] != "France"){$compte = '707930'; $libelle = "Ventes exportation";}
			array_push($arrCommande2, $commande);
			
			$txt = $commande['commande_facture_date'].";411".strtoupper(mb_substr($commande['client_nom'],0,1)).";".strtoupper(mb_substr($commande['client_nom'],0,1))." divers;".$commande['total_ttc'].";;".$commande['client_nom'].";VT;".$commande['paiement_nom'].";".$commande['commande_facture_numero']."\n";
			
			$txt .= $commande['commande_facture_date'].";445711;TVA collectée 19,6%;;".($commande['total_ttc']-$commande['total_ht']).";".$commande['client_nom'].";VT;;".$commande['commande_facture_numero']."\n";
			
			$txt .= $commande['commande_facture_date'].";".$compte.";".$libelle.";;".$commande['total_ht'].";".$commande['client_nom'].";VT;;".$commande['commande_facture_numero']."\n";
			fputs ($fh, $txt);
			
		}

		header("Content-type: application/force-download");
		header("Content-Disposition: attachment; filename=".$filename);
		readfile($dirname.$filename);

		
		
	}

}