<?php

use Phinx\Migration\AbstractMigration;

class InsertPorduitList extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $produit_list_type = array(
            array('produit_list_type_id' => '1','produit_list_type_nom' => 'Wishlist','produit_list_type_status' => '1'),
            array('produit_list_type_id' => '2','produit_list_type_nom' => 'Panier Sauvegardés','produit_list_type_status' => '1')
        );

        $this
            ->table('produit_list_type')
            ->insert($produit_list_type)
            ->save();
    }
}
