<?xml version="1.0" encoding="UTF-8" ?>
<urlset xmlns="http://www.google.com/schemas/sitemap/0.84">

    {foreach $urls as $url}
        <url>
            <loc>{$url['loc']}</loc>
            {if !empty($url['priority'])}<priority>{$url['priority']}</priority>{/if}
            {if !empty($url['changefreq'])}<changefreq>{$url['changefreq']}</changefreq>{/if}
        </url>
    {/foreach}

    {foreach $arrPages as $page}
        <url><loc>{$site_url}{url page='page' page_nom_url=$page.page_nom_url}</loc></url>
    {/foreach}

    {foreach $arrCategories as $categorie}
        <url>
            <loc>{$site_url}{url page="liste_1" categorie_nom=$categorie.categorie_nom_nom id=$categorie.categorie_id}</loc>
        </url>
        {if !empty($categorie.children)}
            {foreach $categorie.children as $ssCat}
                <url>
                    <loc>{$site_url}{url page="liste_2" parent_nom=$categorie.categorie_nom_nom categorie_nom=$ssCat.categorie_nom_nom id=$ssCat.categorie_id}</loc>
                </url>
                {if !empty($ssCat.children)}
                    {foreach $ssCat.children as $ssSsCat}
                        <url>
                            <loc>{$site_url}{url page="liste_3" grand_parent_nom=$categorie.categorie_nom_nom parent_nom=$ssCat.categorie_nom_nom categorie_nom=$ssSsCat.categorie_nom_nom id=$ssSsCat.categorie_id}</loc>
                        </url>
                    {/foreach}

                {/if}
            {/foreach}
        {/if}
    {/foreach}

    {foreach $arrProduits as $produit}
        {if $produit.produit_nom_nom != ""}
            <url><loc>{$site_url}{url page='produit' produit_nom=$produit.produit_nom_nom id=$produit.produit_id}</loc></url>
        {/if}
    {/foreach}
</urlset>
