{extends file="layout/layout.tpl"}

{block name="content"}

    <!--brands.tpl-->

    <div class="brandsPage">
        <div class="hidden-xs">
            {Breadcrumb::getInstance()->render()}
        </div>
        <div class="container">

            {* //BRANDS - Listing *}
            <section class="brandsListing">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="brandsSliderWrapper">
                            <div class="sliderTitle">
                                <p class="subTitle">{txt value="Toutes nos marques"}</p>
                                <h3 class="titleLvl1"><span>{$marques_count}</span>&nbsp;{txt value="marques"}</h3>
                            </div>
                            
                            {* //LETTER - Nav *}
                            <div class="letterNav" id="letterNav">
                                <div class="letterNavBody">
                                    <ul>
                                        {if !empty($menu_marques_chiffres)}
                                            {foreach from=$menu_marques_letters key=mletter item=marque}
                                                <li><a class="letterNavName smoothscroll" href="#marque-{$mletter}">{$mletter}</a></li>
                                            {/foreach}
                                        {/if}
                                        {if !empty($menu_marques_chiffres)}
                                            <li>|</li>
                                            {foreach from=$menu_marques_chiffres key=mchiffre item=marque}
                                                <li><a class="letterNavName smoothscroll" href="#marque-{$mchiffre}">{$mchiffre}</a></li>
                                            {/foreach}
                                        {/if}
                                    </ul>
                                </div>
                            </div>
                            {* LETTER - Nav// *}


                            <div class="wrapLetterAlphabet">
                                {if !empty($menu_marques_chiffres)}
                                    {foreach from=$menu_marques_letters key=mletter item=marques}
                                        {* //LETTER - Alphabet *}
                                        <div class="letterAlphabet smaller" id="marque-{$mletter}">
                                            <div class="letterAlphabetHeader">
                                                <h2 class="letterAlphabetTitle">
                                                    {$mletter}
                                                </h2>
                                            </div>
                                            <div class="letterAlphabetBody">
                                                <div class="brandAlphabet clearfix">
                                                    {foreach $marques as $marque}
                                                        {include file="brands/listing_small.tpl" marque=$marque}
                                                    {/foreach}
                                                </div>
                                            </div>
                                        </div>

                                        {* LETTER - Alphabet// *}
                                    {/foreach}
                                {/if}
                                {* //NUMBER - Chiffres *}
                                {if !empty($menu_marques_chiffres)}
                                    {foreach from=$menu_marques_chiffres key=mchiffre item=marques_c}
                                        <div class="letterAlphabet smaller" id="marque-{$mchiffre}">
                                            <div class="letterAlphabetHeader">
                                                <h2 class="letterAlphabetTitle">
                                                    {$mchiffre}
                                                </h2>
                                            </div>
                                            <div class="letterAlphabetBody">
                                                <div class="brandAlphabet clearfix">
                                                    {foreach $marques_c as $marque_c}
                                                        {include file="brands/listing_small.tpl" marque=$marque_c}
                                                    {/foreach}
                                                </div>
                                            </div>
                                        </div>
                                    {/foreach}
                                {/if}
                                {* NUMBER - Chiffres // *}

                                {* MARQUE PUSHED //*}
                                {if !empty($marque_push)}
                                    <div class="letterAlphabet" id="marque-{$mletter}">
                                        <div class="letterAlphabetHeader">
                                            <h2 class="letterAlphabetTitle">
                                                {txt key="marque_push" value="Nos Marques Préférées"}
                                            </h2>
                                        </div>
                                        <div class="letterAlphabetBody">
                                            <div class="brandAlphabet clearfix">
                                                {foreach $marque_push as $mpush}
                                                    {include file="brands/listing.tpl" marque=$mpush}
                                                {/foreach}
                                            </div>
                                        </div>
                                    </div>
                                {/if}
                                {*// MARQUE PUSHED *}
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            {* BRANDS - Listing// *}

        </div>
    </div>

{/block}

{block name="script-js"}
{/block}