{extends file="layout/layout.tpl"}

{block name="bodyClass"}passwordPage{/block}

{block name="content"}

    <!--password_forgotten.tpl-->

    <div class="container">
        <div class="row justify-content-md-center">
            <div class="col-12 col-md-8 col-lg-6">
                <div class="card contentCard">
                    <div class="card-header">
                        <h2 class="h2">{txt key="password_reset_title" value="Mot de passe oublié"}</h2>
                    </div>
                    <form class="form" action="{url page='oubli_post'}" method="post" data-ajf data-form-reset>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    {txt key="password_reset_desc" value="Veuillez saisir votre adresse e-mail ci-dessous. Nous vous enverrons les instructions pour créer un nouveau mot de passe."}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    {include file="form/input/text.tpl" name="client_email" required=true label={txt value="E-mail"}}
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <em class="text-muted">
                                {txt key="form_required_fields" value="* champs obligatoires"}
                            </em>
                            <button type="submit" class="btn btn-secondary">{txt key="form_btn_submit" value="Valider"}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


{/block}